Bug 860237 - /api/capabilities doesn't work in JSON, NullPointerException
/api/capabilities doesn't work in JSON, NullPointerException
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ori Liel
Elena
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 07:12 EDT by Gal Leibovici
Modified: 2016-02-10 14:24 EST (History)
10 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gal Leibovici 2012-09-25 07:12:16 EDT
When doing a GET request to /api/capabilities endpoint, the response is a JBoss error:


message org.codehaus.jackson.map.JsonMappingException: (was java.lang.NullPointerException) (through reference chain: org.ovirt.engine.api.model.Capabilities["versions"]->java.util.ArrayList[0]->org.ovirt.engine.api.model.VersionCaps["features"]->org.ovirt.engine.api.model.Features["feature"]->java.util.ArrayList[7]->org.ovirt.engine.api.model.Feature["url"]->org.ovirt.engine.api.model.Url["parametersSets"]->java.util.ArrayList[0]->org.ovirt.engine.api.model.ParametersSet["parameters"]->java.util.ArrayList[0])

description The server encountered an internal error (org.codehaus.jackson.map.JsonMappingException: (was java.lang.NullPointerException) (through reference chain: org.ovirt.engine.api.model.Capabilities["versions"]->java.util.ArrayList[0]->org.ovirt.engine.api.model.VersionCaps["features"]->org.ovirt.engine.api.model.Features["feature"]->java.util.ArrayList[7]->org.ovirt.engine.api.model.Feature["url"]->org.ovirt.engine.api.model.Url["parametersSets"]->java.util.ArrayList[0]->org.ovirt.engine.api.model.ParametersSet["parameters"]->java.util.ArrayList[0])) that prevented it from fulfilling this request.
Version-Release number of selected component (if applicable):


How reproducible:


do a GET request to /api/capabilities using HTTP header "Accept" with value "application/json".

Additional info: Build 18.1
Comment 1 Ori Liel 2012-10-03 06:09:15 EDT
posted upstream: 

  http://gerrit.ovirt.org/#/c/8246/


merged upstream: 

  commit 2860654e66ddedce64fe7b11986442f85f0a49ef


posted downstream: 

  https://gerrit.eng.lab.tlv.redhat.com/#/c/2423/


merged downstream: 

  commit 642115414178a93fbd657c1a4dc2fa0cb42b3017
Comment 2 Gal Leibovici 2012-10-18 12:16:03 EDT
Verified on SI20

Note You need to log in before you can comment on or make changes to this bug.